Bug 486748 - rpmlint throws DeprecationWarning for use of popen2 module
rpmlint throws DeprecationWarning for use of popen2 module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 13:26 EST by FTBFS
Modified: 2009-03-19 19:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.87-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-19 19:24:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description FTBFS 2009-02-21 13:26:37 EST
Description of problem:
/usr/share/rpmlint/Pkg.py:16: DeprecationWarning: The popen2 module is deprecated.  Use the subprocess module.
  import popen2


Version-Release number of selected component (if applicable):
rpmlint-0.85-3.fc11.noarch


How reproducible:
always



Steps to Reproduce:
1. run rpmlint against a package
  
Actual results:
warning above

Expected results:
no warning
Comment 1 Ville Skyttä 2009-02-22 11:45:56 EST
Already fixed upstream, will be in 0.86 once released.

Note You need to log in before you can comment on or make changes to this bug.